import { DslAnimationType, DslEventType, DslTriggerType } from '@towify-types/dsl';
export declare type ProjectDslsType = {
    pages?: {
        [key: string]: any;
    }[];
    components?: {
        [key: string]: any;
    }[];
    triggers?: DslTriggerType[];
    sharedStyles?: {
        [key: string]: any;
    }[];
    animations?: DslAnimationType[];
    events?: DslEventType[];
};
export declare type ProjectDslsWithHashType = ProjectDslsType & {
    hash: string;
};
export declare type ProjectSingleDslType = {
    page?: {
        [key: string]: any;
    };
    component?: {
        [key: string]: any;
    };
    trigger?: DslTriggerType;
    sharedStyle?: {
        [key: string]: any;
    };
    animation?: DslAnimationType;
    event?: DslEventType;
};
