/**
 * @author songxiwen
 * @date 2021/03/31 13:54
 */
export declare type CreateFileFolder = {
    '/file/folder/create': {
        params: {
            name: string;
            parentId?: string;
        };
        method: 'post';
        ignoreToken: false;
        data: {
            id: string;
            name: string;
            parentId?: string;
        };
    };
};
export declare type DeleteFileFolder = {
    '/file/folder/delete': {
        params: {
            id: string;
        };
        method: 'post';
        ignoreToken: false;
        data: undefined;
    };
};
export declare type GetFileFolderList = {
    '/file/folder/getList': {
        params: {
            pageIndex: number;
            pageSize: number;
        };
        method: 'post';
        ignoreToken: false;
        data: {
            total: number;
            list: {
                id: string;
                name: string;
                parentId?: string;
            }[];
        };
    };
};
