export declare type ApiMd5sResponseType = {
    projects: {
        md5: string;
        items: {
            id: string;
            md5: string;
        }[];
    };
    kits: {
        md5: string;
        items: {
            id: string;
            md5: {
                list: string;
                resource: string;
            };
        }[];
    };
    resources: {
        all: string;
        image: string;
        audio: string;
        font: string;
        icon: string;
        text: string;
        video: string;
    };
};
export declare type GetApiMd5s = {
    '/kitservice/apiMd5s': {
        params: undefined;
        method: 'get';
        ignoreToken: false;
        data: ApiMd5sResponseType;
    };
};
export declare type GetConfigs = {
    '/global/configs': {
        params: undefined;
        method: 'get';
        ignoreToken: false;
        data: {
            wechatThirdPlatformAppId: string;
        };
    };
};
