/**
 * @author songxiwen
 * @date 2021/01/27 16:55
 */
import type { FileListFilterRequestType, FileListResponseType } from 'towify-resource-type';
export declare enum ResourceEnum {
    Font = "font",
    Image = "image",
    Video = "video",
    Audio = "audio",
    Icon = "icon",
    Text = "text"
}
export declare type GetFileList = {
    '/file/getFileList': {
        params: FileListFilterRequestType;
        method: 'post';
        ignoreToken: false;
        data: FileListResponseType;
    };
};
