/**
 * @author songxiwen
 * @date 2021/03/31 13:54
 */
import type { FolderListResponseType, FolderResponseType } from 'towify-resource-type';
export declare type CreateResourceFolder = {
    '/resource/folder/create': {
        params: {
            name: string;
        };
        method: 'post';
        ignoreToken: false;
        data: FolderResponseType;
    };
};
export declare type DeleteResourceFolder = {
    '/resource/folder/delete': {
        params: {
            id: string;
        };
        method: 'post';
        ignoreToken: false;
        data: undefined;
    };
};
export declare type UpdateResourceFolder = {
    '/resource/folder/update': {
        params: {
            id: string;
            name?: string;
        };
        method: 'post';
        ignoreToken: false;
        data: undefined;
    };
};
export declare type GetResourceFolderList = {
    '/resource/folder/getList': {
        params: {
            pageIndex: number;
            pageSize: number;
        };
        method: 'post';
        ignoreToken: false;
        data: FolderListResponseType;
    };
};
