export declare type EnterpriseCreate = {
    '/enterprise/create': {
        params: {
            name: string;
        };
        method: 'post';
        ignoreToken: true;
        data: {
            name: string;
            id: string;
            creatorId: string;
        };
    };
};
export declare type EnterpriseRegister = {
    '/enterprise/register': {
        params: {
            name: string;
            email: string;
            password: string;
        };
        method: 'post';
        ignoreToken: false;
        data: {
            token: string;
        };
    };
};
