export declare type GetQRCode = {
    '/wechat/getQRCode': {
        params: {};
        method: 'get';
        ignoreToken: true;
        data: {
            url: string;
            state: string;
        };
    };
};
export declare type StatePolling = {
    '/wechat/wechatStatePolling': {
        params: {
            state: string;
        };
        method: 'get';
        ignoreToken: true;
        data: {
            status: boolean;
            token: string;
        };
    };
};
export declare type GetBindingQRCode = {
    '/wechat/getBindingQrCode': {
        params: {};
        method: 'get';
        ignoreToken: false;
        data: {
            url: string;
            state: string;
        };
    };
};
export declare type BindingPolling = {
    '/wechat/bindingPolling': {
        params: {
            state: string;
        };
        method: 'get';
        ignoreToken: false;
        data: {
            status: boolean;
        };
    };
};
